<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AudioMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $url = null;
    


    protected $mimetype = null;
    


    protected $fileSha256 = null;
    


    protected $fileLength = null;
    


    protected $seconds = null;
    


    protected $ptt = null;
    


    protected $mediaKey = null;
    


    protected $fileEncSha256 = null;
    


    protected $directPath = null;
    


    protected $mediaKeyTimestamp = null;
    


    protected $contextInfo = null;
    


    protected $streamingSidecar = null;
    


    protected $waveform = null;
    


    protected $backgroundArgb = null;
    


    protected $viewOnce = null;
    


    protected $accessibilityLabel = null;
    


    protected $mediaKeyDomain = null;

    
























    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getMimetype()
    {
        return isset($this->mimetype) ? $this->mimetype : '';
    }

    public function hasMimetype()
    {
        return isset($this->mimetype);
    }

    public function clearMimetype()
    {
        unset($this->mimetype);
    }

    




    public function setMimetype($var)
    {
        GPBUtil::checkString($var, True);
        $this->mimetype = $var;

        return $this;
    }

    



    public function getFileSha256()
    {
        return isset($this->fileSha256) ? $this->fileSha256 : '';
    }

    public function hasFileSha256()
    {
        return isset($this->fileSha256);
    }

    public function clearFileSha256()
    {
        unset($this->fileSha256);
    }

    




    public function setFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileSha256 = $var;

        return $this;
    }

    



    public function getFileLength()
    {
        return isset($this->fileLength) ? $this->fileLength : 0;
    }

    public function hasFileLength()
    {
        return isset($this->fileLength);
    }

    public function clearFileLength()
    {
        unset($this->fileLength);
    }

    




    public function setFileLength($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileLength = $var;

        return $this;
    }

    



    public function getSeconds()
    {
        return isset($this->seconds) ? $this->seconds : 0;
    }

    public function hasSeconds()
    {
        return isset($this->seconds);
    }

    public function clearSeconds()
    {
        unset($this->seconds);
    }

    




    public function setSeconds($var)
    {
        GPBUtil::checkUint32($var);
        $this->seconds = $var;

        return $this;
    }

    



    public function getPtt()
    {
        return isset($this->ptt) ? $this->ptt : false;
    }

    public function hasPtt()
    {
        return isset($this->ptt);
    }

    public function clearPtt()
    {
        unset($this->ptt);
    }

    




    public function setPtt($var)
    {
        GPBUtil::checkBool($var);
        $this->ptt = $var;

        return $this;
    }

    



    public function getMediaKey()
    {
        return isset($this->mediaKey) ? $this->mediaKey : '';
    }

    public function hasMediaKey()
    {
        return isset($this->mediaKey);
    }

    public function clearMediaKey()
    {
        unset($this->mediaKey);
    }

    




    public function setMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->mediaKey = $var;

        return $this;
    }

    



    public function getFileEncSha256()
    {
        return isset($this->fileEncSha256) ? $this->fileEncSha256 : '';
    }

    public function hasFileEncSha256()
    {
        return isset($this->fileEncSha256);
    }

    public function clearFileEncSha256()
    {
        unset($this->fileEncSha256);
    }

    




    public function setFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileEncSha256 = $var;

        return $this;
    }

    



    public function getDirectPath()
    {
        return isset($this->directPath) ? $this->directPath : '';
    }

    public function hasDirectPath()
    {
        return isset($this->directPath);
    }

    public function clearDirectPath()
    {
        unset($this->directPath);
    }

    




    public function setDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->directPath = $var;

        return $this;
    }

    



    public function getMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp) ? $this->mediaKeyTimestamp : 0;
    }

    public function hasMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp);
    }

    public function clearMediaKeyTimestamp()
    {
        unset($this->mediaKeyTimestamp);
    }

    




    public function setMediaKeyTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->mediaKeyTimestamp = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getStreamingSidecar()
    {
        return isset($this->streamingSidecar) ? $this->streamingSidecar : '';
    }

    public function hasStreamingSidecar()
    {
        return isset($this->streamingSidecar);
    }

    public function clearStreamingSidecar()
    {
        unset($this->streamingSidecar);
    }

    




    public function setStreamingSidecar($var)
    {
        GPBUtil::checkString($var, False);
        $this->streamingSidecar = $var;

        return $this;
    }

    



    public function getWaveform()
    {
        return isset($this->waveform) ? $this->waveform : '';
    }

    public function hasWaveform()
    {
        return isset($this->waveform);
    }

    public function clearWaveform()
    {
        unset($this->waveform);
    }

    




    public function setWaveform($var)
    {
        GPBUtil::checkString($var, False);
        $this->waveform = $var;

        return $this;
    }

    



    public function getBackgroundArgb()
    {
        return isset($this->backgroundArgb) ? $this->backgroundArgb : 0;
    }

    public function hasBackgroundArgb()
    {
        return isset($this->backgroundArgb);
    }

    public function clearBackgroundArgb()
    {
        unset($this->backgroundArgb);
    }

    




    public function setBackgroundArgb($var)
    {
        GPBUtil::checkUint32($var);
        $this->backgroundArgb = $var;

        return $this;
    }

    



    public function getViewOnce()
    {
        return isset($this->viewOnce) ? $this->viewOnce : false;
    }

    public function hasViewOnce()
    {
        return isset($this->viewOnce);
    }

    public function clearViewOnce()
    {
        unset($this->viewOnce);
    }

    




    public function setViewOnce($var)
    {
        GPBUtil::checkBool($var);
        $this->viewOnce = $var;

        return $this;
    }

    



    public function getAccessibilityLabel()
    {
        return isset($this->accessibilityLabel) ? $this->accessibilityLabel : '';
    }

    public function hasAccessibilityLabel()
    {
        return isset($this->accessibilityLabel);
    }

    public function clearAccessibilityLabel()
    {
        unset($this->accessibilityLabel);
    }

    




    public function setAccessibilityLabel($var)
    {
        GPBUtil::checkString($var, True);
        $this->accessibilityLabel = $var;

        return $this;
    }

    



    public function getMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain) ? $this->mediaKeyDomain : 0;
    }

    public function hasMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain);
    }

    public function clearMediaKeyDomain()
    {
        unset($this->mediaKeyDomain);
    }

    




    public function setMediaKeyDomain($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\MediaKeyDomain::class);
        $this->mediaKeyDomain = $var;

        return $this;
    }

}

